Page MenuHomePhabricator

Missing implementation to post Parsoid/PHP lints to production database
Closed, ResolvedPublic

Description

https://codesearch.wmflabs.org/search/?q=ParsoidLogLinterData&i=nope&files=&repos= shows that the only reference to the ParsoidLogLinterData hook is in the Parsoid codebase. We had all along assumed that this was actually implemented somewhere.

So, for now, perhaps, we should simply do a UDP post of lints to the Linter API just like Parsoid/JS does.

We should concurrently explore the implement of this hook in the Linter extension to support direct writes to the production db.

Details

Related Gerrit Patches:
mediawiki/extensions/Linter : wmf/1.35.0-wmf.8Revert "Revert "Implement ParserLogLinterData hook""
mediawiki/extensions/Linter : wmf/1.35.0-wmf.5Revert "Revert "Implement ParserLogLinterData hook""
mediawiki/extensions/Linter : wmf/1.35.0-wmf.8Implement ParserLogLinterData hook
mediawiki/extensions/Linter : wmf/1.35.0-wmf.5Implement ParserLogLinterData hook
mediawiki/extensions/Linter : masterImplement ParserLogLinterData hook
mediawiki/services/parsoid : masterUse the ParserLogLinterData hook

Event Timeline

ssastry triaged this task as High priority.Nov 15 2019, 10:33 PM
ssastry created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2019, 10:33 PM
ssastry moved this task from Backlog to Porting on the Parsoid-PHP board.Nov 15 2019, 11:29 PM
Arlolra claimed this task.Nov 22 2019, 10:28 PM

Change 552938 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/extensions/Linter@master] [WIP] Implement ParsoidLogLinterData hook

https://gerrit.wikimedia.org/r/552938

Change 552941 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Use the ParsoidLogLinterData hook

https://gerrit.wikimedia.org/r/552941

Change 552938 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Implement ParserLogLinterData hook

https://gerrit.wikimedia.org/r/552938

Change 552941 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Use the ParserLogLinterData hook

https://gerrit.wikimedia.org/r/552941

Arlolra closed this task as Resolved.Dec 4 2019, 5:23 PM

Change 554921 had a related patch set uploaded (by C. Scott Ananian; owner: Arlolra):
[mediawiki/extensions/Linter@wmf/1.35.0-wmf.5] Implement ParserLogLinterData hook

https://gerrit.wikimedia.org/r/554921

Change 554923 had a related patch set uploaded (by C. Scott Ananian; owner: Arlolra):
[mediawiki/extensions/Linter@wmf/1.35.0-wmf.8] Implement ParserLogLinterData hook

https://gerrit.wikimedia.org/r/554923

Change 554921 merged by jenkins-bot:
[mediawiki/extensions/Linter@wmf/1.35.0-wmf.5] Implement ParserLogLinterData hook

https://gerrit.wikimedia.org/r/554921

Change 554923 merged by jenkins-bot:
[mediawiki/extensions/Linter@wmf/1.35.0-wmf.8] Implement ParserLogLinterData hook

https://gerrit.wikimedia.org/r/554923

Mentioned in SAL (#wikimedia-operations) [2019-12-05T19:14:11Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.8/extensions/Linter: SWAT: 839c383: Implement ParserLogLinterData hook (T238456) (duration: 01m 02s)

Change 554931 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/Linter@wmf/1.35.0-wmf.5] Revert "Revert "Implement ParserLogLinterData hook""

https://gerrit.wikimedia.org/r/554931

Change 554932 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/Linter@wmf/1.35.0-wmf.8] Revert "Revert "Implement ParserLogLinterData hook""

https://gerrit.wikimedia.org/r/554932

Change 554931 merged by jenkins-bot:
[mediawiki/extensions/Linter@wmf/1.35.0-wmf.5] Revert "Revert "Implement ParserLogLinterData hook""

https://gerrit.wikimedia.org/r/554931

Change 554932 merged by jenkins-bot:
[mediawiki/extensions/Linter@wmf/1.35.0-wmf.8] Revert "Revert "Implement ParserLogLinterData hook""

https://gerrit.wikimedia.org/r/554932

Mentioned in SAL (#wikimedia-operations) [2019-12-05T19:37:43Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.5/extensions/Linter/includes/Hooks.php: SWAT: 7b7f326: Implement ParserLogLinterData hook (1/3, T238456) (duration: 01m 09s)

Mentioned in SAL (#wikimedia-operations) [2019-12-05T19:39:12Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.5/extensions/Linter/extension.json: SWAT: 7b7f326: Implement ParserLogLinterData hook (2/3, T238456) (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2019-12-05T19:41:58Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.5/extensions/Linter/includes/ApiRecordLint.php: SWAT: 7b7f326: Implement ParserLogLinterData hook (3/3, T238456) (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2019-12-05T19:44:32Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.8/extensions/Linter/includes/Hooks.php: SWAT: afcfdce: Revert "Revert "Implement ParserLogLinterData hook"" (1/3, T238456) (duration: 01m 11s)

Mentioned in SAL (#wikimedia-operations) [2019-12-05T19:46:22Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.8/extensions/Linter/includes/ApiRecordLint.php: SWAT: afcfdce: Revert "Revert "Implement ParserLogLinterData hook"" (2/3, T238456) (duration: 01m 09s)

Mentioned in SAL (#wikimedia-operations) [2019-12-05T19:47:36Z] <urbanecm@deploy1001> Synchronized php-1.35.0-wmf.8/extensions/Linter/extension.json: SWAT: afcfdce: Revert "Revert "Implement ParserLogLinterData hook"" (3/3, T238456) (duration: 01m 00s)